import { Disposable } from "@codingame/monaco-vscode-api/vscode/vs/base/common/lifecycle";
import { AbstractProblemCollector } from "../common/problemCollectors.js";
import { Task } from "@codingame/monaco-vscode-625898ab-0e33-5b7f-a3ae-29c10271dc1c-common/vscode/vs/workbench/contrib/tasks/common/taskService";
import { ITaskService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/contrib/tasks/common/taskService.service";
import { ITerminalInstance } from "@codingame/monaco-vscode-api/vscode/vs/workbench/contrib/terminal/browser/terminal";
import { IAccessibilitySignalService } from "@codingame/monaco-vscode-api/vscode/vs/platform/accessibilitySignal/browser/accessibilitySignalService.service";
import { ITerminalStatus } from "@codingame/monaco-vscode-7bbc9e7d-eeae-55fc-8bf9-dc2f66e0dc73-common/vscode/vs/workbench/contrib/terminal/common/terminal";
export declare const ACTIVE_TASK_STATUS: ITerminalStatus;
export declare const SUCCEEDED_TASK_STATUS: ITerminalStatus;
export declare const FAILED_TASK_STATUS: ITerminalStatus;
export declare class TaskTerminalStatus extends Disposable {
    private readonly _accessibilitySignalService;
    private terminalMap;
    private _marker;
    constructor(taskService: ITaskService, _accessibilitySignalService: IAccessibilitySignalService);
    addTerminal(task: Task, terminal: ITerminalInstance, problemMatcher: AbstractProblemCollector): void;
    private terminalFromEvent;
    private eventEnd;
    private eventInactive;
    private eventActive;
}
